> For clean Markdown of any page, append .md to the page URL.
> For a complete documentation index, see https://docs.apologist.ai/llms.txt.
> For AI client integration (Claude Code, Cursor, etc.), connect to the MCP server at https://docs.apologist.ai/_mcp/server.

# Match Calls to Action

POST https://your-agent-domain.com/api/v1/ctas/match
Content-Type: application/json

Finds matching CTAs based on conversation context, user, session, device, or messages

Reference: https://docs.apologist.ai/agent-api/api-reference/evaluations/match-ctas

## OpenAPI Specification

```yaml
openapi: 3.1.0
info:
  title: agent-api
  version: 1.0.0
paths:
  /ctas/match:
    post:
      operationId: matchCtas
      summary: Match Calls to Action
      description: >-
        Finds matching CTAs based on conversation context, user, session,
        device, or messages
      tags:
        - ctAs
      parameters:
        - name: x-api-key
          in: header
          description: API key for authentication
          required: true
          schema:
            type: string
      responses:
        '200':
          description: Matched CTAs
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/CTAs_matchCtas_Response_200'
        '403':
          description: Forbidden
          content:
            application/json:
              schema:
                description: Any type
        '422':
          description: Invalid request payload
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/Error'
        '500':
          description: Internal Server Error
          content:
            application/json:
              schema:
                description: Any type
        '503':
          description: Service Unavailable
          content:
            application/json:
              schema:
                description: Any type
      requestBody:
        content:
          application/json:
            schema:
              $ref: '#/components/schemas/CtaMatchRequest'
servers:
  - url: https://your-agent-domain.com/api/v1
    description: Production server
components:
  schemas:
    CtaMatchRequest:
      oneOf:
        - description: Any type
        - description: Any type
        - description: Any type
        - description: Any type
        - description: Any type
      title: CtaMatchRequest
    CtasMatchPostResponsesContentApplicationJsonSchemaCtasItems:
      type: object
      properties: {}
      title: CtasMatchPostResponsesContentApplicationJsonSchemaCtasItems
    CTAs_matchCtas_Response_200:
      type: object
      properties:
        ctas:
          type: array
          items:
            $ref: >-
              #/components/schemas/CtasMatchPostResponsesContentApplicationJsonSchemaCtasItems
      title: CTAs_matchCtas_Response_200
    Error:
      type: object
      properties:
        success:
          type: boolean
        errors:
          type: array
          items:
            type: string
      required:
        - success
        - errors
      title: Error
  securitySchemes:
    ApiKeyHeader:
      type: apiKey
      in: header
      name: x-api-key
      description: API key for authentication
    BearerAuth:
      type: http
      scheme: bearer
      description: Bearer token authentication

```

## Examples



**Request**

```json
{
  "conversation": "string"
}
```

**Response**

```json
{
  "ctas": [
    {}
  ]
}
```

**SDK Code**

```typescript
import { ApologistAgentClient } from "apologist";

async function main() {
    const client = new ApologistAgentClient({
        apiKey: "YOUR_API_KEY_HERE",
    });
    await client.ctAs.matchCtas({
        conversation: "string",
    });
}
main();

```

```python
from apologist import ApologistAgent

client = ApologistAgent(
    api_key="YOUR_API_KEY_HERE",
)

client.ct_as.match_ctas(
    request={"conversation": "string"},
)

```

```java
package com.example.usage;

import ai.apologist.AgentClient;
import ai.apologist.types.CtaMatchRequest;
import java.util.HashMap;

public class Example {
    public static void main(String[] args) {
        AgentClient client = AgentClient
            .builder()
            .apiKey("YOUR_API_KEY_HERE")
            .build();

        client.ctAs().matchCtas(
            CtaMatchRequest.of(new 
            HashMap<String, Object>() {{put("conversation", "string");
            }})
        );
    }
}
```

```ruby
require "apologist"

client = Apologist::AgentClient.new(api_key: "YOUR_API_KEY_HERE")

client.ct_as.match_ctas

```

```csharp
using Apologist;
using System.Threading.Tasks;
using System.Collections.Generic;

namespace Usage;

public class Example
{
    public async Task Do() {
        var client = new AgentClient(
            apiKey: "YOUR_API_KEY_HERE"
        );

        await client.CtAs.MatchCtasAsync(
            new Dictionary<string, object>()
            {
                ["conversation"] = "string",
            }
        );
    }

}

```

```go
package example

import (
    context "context"

    apgsdkgo "github.com/apologist-project/apg-sdk-go"
    client "github.com/apologist-project/apg-sdk-go/client"
    option "github.com/apologist-project/apg-sdk-go/option"
)

func do() {
    client := client.NewApologistAgentClient(
        option.WithAPIKey(
            "YOUR_API_KEY_HERE",
        ),
    )
    request := &apgsdkgo.CtaMatchRequest{
        Unknown: map[string]any{
            "conversation": "string",
        },
    }
    client.CtAs.MatchCtas(
        context.TODO(),
        request,
    )
}

```

```php
<?php

namespace Example;

use Apologist\AgentClient;

$client = new AgentClient(
    apiKey: 'YOUR_API_KEY_HERE',
);
$client->ctAs->matchCtas(
    [
        'conversation' => "string",
    ],
);

```

```swift
import Foundation

let headers = [
  "x-api-key": "<apiKey>",
  "Content-Type": "application/json"
]
let parameters = ["conversation": "string"] as [String : Any]

let postData = JSONSerialization.data(withJSONObject: parameters, options: [])

let request = NSMutableURLRequest(url: NSURL(string: "https://your-agent-domain.com/api/v1/ctas/match")! as URL,
                                        cachePolicy: .useProtocolCachePolicy,
                                    timeoutInterval: 10.0)
request.httpMethod = "POST"
request.allHTTPHeaderFields = headers
request.httpBody = postData as Data

let session = URLSession.shared
let dataTask = session.dataTask(with: request as URLRequest, completionHandler: { (data, response, error) -> Void in
  if (error != nil) {
    print(error as Any)
  } else {
    let httpResponse = response as? HTTPURLResponse
    print(httpResponse)
  }
})

dataTask.resume()
```